Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.

Create Tag

view on GitHub

Create Tag is available as both a pgutil command and an HTTP Request, and will create an alternative tag for a specified image.

Command Specification (CLI)

The containers tags add command is used to create an alternative tag.

The --repo, --target, --name, and --feed options are always required.

Creating a tag requires the feed name (e.g. MyDockerFeed), repo and tag (e.g. mycontainer/mycontainer-ee:10.1.1-ee.0), and the name of the new tag (e.g. final-10):

pgutil containers tags add --repo=mycontainer/mycontainer-ee --target=10.1.1-ee.0 --name=final-10

HTTP Request Specification

To create a tag, simply POST to the URL with the following query arguments:

POST /api/containers/tags/create?feed=<feed name>&repo=<repo name>&target=<target tag or digest>&name=<new tag name>[&force=true]

If force is specified and the user has the Feeds_OverwritePackage permission, then an existing tag can be updated to a new target.

HTTP Response Specification

If a new tag was created, a successful 201 response is returned along with the content text Created. If the tag already exists with the specified target, a successful 200 response is returned with the content text Exists. If the tag already exists and was overwritten with a new target, a successful 200 response is returned with the content text Updated.

A 409 response indicates that the tag already exists with a different target, and the force=true argument was not specified.

A 403 response indicates a missing, unknown, or unauthorized API Key.